<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
            <title>phpDocumentor</title>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">phpDocumentor</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="namespaces/inc.html" class="">Inc</a>
</h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/inc-api.html" class="">Api</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-base.html" class="">Base</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-defaultdata.html" class="">DefaultData</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-pages.html" class="">Pages</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSI.html" class="">OERSI</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/Application.html" class="">Application</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSi.html" class="">OERSi</a>
</h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    
    <h2 class="phpdocumentor-content__title">Files</h2>
                            <h3>A</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-api-abstractcallback.html"><abbr title="inc/Api/AbstractCallback.php">AbstractCallback.php</abbr></a></li>
                    <li><a href="files/inc-base-activate.html"><abbr title="inc/Base/Activate.php">Activate.php</abbr></a></li>
                </ul>
                                    <h3>B</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></li>
                </ul>
                                    <h3>C</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-pages-edusharing-collectionapi.html"><abbr title="inc/Pages/EduSharing/CollectionApi.php">CollectionApi.php</abbr></a></li>
                    <li><a href="files/inc-pages-configuration-configuration.html"><abbr title="inc/Pages/Configuration/Configuration.php">Configuration.php</abbr></a></li>
                    <li><a href="files/inc-pages-configuration-configurationapi.html"><abbr title="inc/Pages/Configuration/ConfigurationAPI.php">ConfigurationAPI.php</abbr></a></li>
                    <li><a href="files/inc-pages-configuration-configurationcallbacks.html"><abbr title="inc/Pages/Configuration/ConfigurationCallbacks.php">ConfigurationCallbacks.php</abbr></a></li>
                    <li><a href="files/inc-pages-cssoverride-cssoverride.html"><abbr title="inc/Pages/CssOverride/CssOverride.php">CssOverride.php</abbr></a></li>
                    <li><a href="files/inc-pages-cssoverride-cssoverridecallbacks.html"><abbr title="inc/Pages/CssOverride/CssOverrideCallbacks.php">CssOverrideCallbacks.php</abbr></a></li>
                    <li><a href="files/inc-pages-cssoverride-cssoverriderestapi.html"><abbr title="inc/Pages/CssOverride/CssOverrideRestAPI.php">CssOverrideRestAPI.php</abbr></a></li>
                    <li><a href="files/inc-base-customsection.html"><abbr title="inc/Base/CustomSection.php">CustomSection.php</abbr></a></li>
                    <li><a href="files/templates-configuration-configuration.html"><abbr title="templates/configuration/configuration.php">configuration.php</abbr></a></li>
                    <li><a href="files/templates-cssoverride-cssoverride.html"><abbr title="templates/cssOverride/cssOverride.php">cssOverride.php</abbr></a></li>
                </ul>
                                    <h3>D</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-base-deactivate.html"><abbr title="inc/Base/Deactivate.php">Deactivate.php</abbr></a></li>
                </ul>
                                    <h3>E</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-defaultdata-elasticssearch.html"><abbr title="inc/DefaultData/ElasticsSearch.php">ElasticsSearch.php</abbr></a></li>
                    <li><a href="files/inc-pages-elasticssearch-elasticssearchconfig.html"><abbr title="inc/Pages/ElasticsSearch/ElasticsSearchConfig.php">ElasticsSearchConfig.php</abbr></a></li>
                    <li><a href="files/inc-pages-elasticssearch-elasticssearchconfigcallbacks.html"><abbr title="inc/Pages/ElasticsSearch/ElasticsSearchConfigCallbacks.php">ElasticsSearchConfigCallbacks.php</abbr></a></li>
                    <li><a href="files/inc-pages-elasticssearch-elasticssearchrestapi.html"><abbr title="inc/Pages/ElasticsSearch/ElasticsSearchRestAPI.php">ElasticsSearchRestAPI.php</abbr></a></li>
                    <li><a href="files/inc-base-enqueuecss.html"><abbr title="inc/Base/EnqueueCss.php">EnqueueCss.php</abbr></a></li>
                    <li><a href="files/inc-base-enqueuecustomcss.html"><abbr title="inc/Base/EnqueueCustomCss.php">EnqueueCustomCss.php</abbr></a></li>
                    <li><a href="files/inc-base-enqueuejs.html"><abbr title="inc/Base/EnqueueJs.php">EnqueueJs.php</abbr></a></li>
                    <li><a href="files/inc-base-externalapi.html"><abbr title="inc/Base/ExternalAPI.php">ExternalAPI.php</abbr></a></li>
                    <li><a href="files/templates-elasticsearch-elasticssearch.html"><abbr title="templates/elasticSearch/elasticsSearch.php">elasticsSearch.php</abbr></a></li>
                </ul>
                                    <h3>F</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/node-modules-flatted-php-flatted.html"><abbr title="node_modules/flatted/php/flatted.php">flatted.php</abbr></a></li>
                </ul>
                                                                            <h3>I</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-init.html"><abbr title="inc/Init.php">Init.php</abbr></a></li>
                    <li><a href="files/index.html"><abbr title="index.php">index.php</abbr></a></li>
                </ul>
                                                                            <h3>L</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-pages-languages-languagecallback.html"><abbr title="inc/Pages/Languages/LanguageCallBack.php">LanguageCallBack.php</abbr></a></li>
                    <li><a href="files/inc-pages-languages-languageconfig.html"><abbr title="inc/Pages/Languages/LanguageConfig.php">LanguageConfig.php</abbr></a></li>
                    <li><a href="files/inc-pages-languages-languagerestapi.html"><abbr title="inc/Pages/Languages/LanguageRestAPI.php">LanguageRestAPI.php</abbr></a></li>
                </ul>
                                    <h3>M</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-base-metalinks.html"><abbr title="inc/Base/MetaLinks.php">MetaLinks.php</abbr></a></li>
                </ul>
                                                        <h3>O</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/oersi.html"><abbr title="oersi.php">oersi.php</abbr></a></li>
                </ul>
                                                                            <h3>R</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></li>
                </ul>
                                    <h3>S</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-api-settingsapi.html"><abbr title="inc/Api/SettingsApi.php">SettingsApi.php</abbr></a></li>
                    <li><a href="files/inc-base-settingslinks.html"><abbr title="inc/Base/SettingsLinks.php">SettingsLinks.php</abbr></a></li>
                    <li><a href="files/inc-pages-shortcode.html"><abbr title="inc/Pages/ShortCode.php">ShortCode.php</abbr></a></li>
                </ul>
                                    <h3>T</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-defaultdata-translation.html"><abbr title="inc/DefaultData/Translation.php">Translation.php</abbr></a></li>
                    <li><a href="files/inc-pages-translation-translationcallback.html"><abbr title="inc/Pages/Translation/TranslationCallBack.php">TranslationCallBack.php</abbr></a></li>
                    <li><a href="files/inc-pages-translation-translationconfig.html"><abbr title="inc/Pages/Translation/TranslationConfig.php">TranslationConfig.php</abbr></a></li>
                    <li><a href="files/inc-pages-translation-translationrestapi.html"><abbr title="inc/Pages/Translation/TranslationRestAPI.php">TranslationRestAPI.php</abbr></a></li>
                    <li><a href="files/templates-translation-translations.html"><abbr title="templates/translation/translations.php">translations.php</abbr></a></li>
                </ul>
                                    <h3>U</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-base-utils.html"><abbr title="inc/Base/Utils.php">Utils.php</abbr></a></li>
                </ul>
                                    <h3>V</h3>
        <ul class="phpdocumentor-list">
                    <li><a href="files/inc-pages-vocabularies-vocabulariesapi.html"><abbr title="inc/Pages/Vocabularies/VocabulariesAPI.php">VocabulariesAPI.php</abbr></a></li>
                    <li><a href="files/inc-pages-vocabularies-vocabulariesapiparent.html"><abbr title="inc/Pages/Vocabularies/VocabulariesAPIParent.php">VocabulariesAPIParent.php</abbr></a></li>
                </ul>
                                                                                                            <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="indices/files.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
